Wayfair Seller
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-wayfair-sellers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "44308"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-wayfair-sellers"
payload = { "seller": "44308" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: '44308'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-wayfair-sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "wayfair_seller",
"seller": "44308",
"human": "# Wayfair seller\n\n- **Seller:** 44308\n- **Proxy traffic:** 3.08 MB\n- **Name:** Ebern Designs\n- **URL:** https://www.wayfair.com/brand/bnd/x-b44308.html\n- **Collections:** 7",
"machine": {
"seller": {
"@type": "WayfairSeller",
"id": "44308",
"url": "https://www.wayfair.com/brand/bnd/x-b44308.html",
"alias": "x",
"name": "Ebern Designs",
"description": "Fusing streamlined stylings and eclectic accents, Ebern Designs is your singular stop for everything essential in crafting a contemporary look throughout any space you call home.",
"image": "https://assets.wfcdn.com/im/61939426/resize-h62-w250%5Ecompr-r85/9023/90231700/default_name.jpg",
"collections": [
{
"@type": "WayfairSellerCollection",
"name": "Wall Art",
"url": "https://www.wayfair.com/home/cat/-c0-masterClID~1318.html"
},
{
"@type": "WayfairSellerCollection",
"name": "Area Rugs",
"url": "https://www.wayfair.com/home/cat/-c0-masterClID~167.html"
}
]
},
"response_bytes": 3227528
},
"total_points": 5
}E-commerce & Marketplaces
Wayfair Seller
Get a Wayfair brand (seller) by id or brand page URL: name, description, logo image, alias and the brand’s collections. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-wayfair-sellers
Wayfair Seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Brand ID or brand page URL. e.g. 44308
Response
Run completed.